﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Collections;


public partial class gridUC : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        RadAjaxManager AjaxMan = this.Page.Master.FindControl("MasterAjaxManager") as RadAjaxManager;


        RadMultiPage rmpUser = (this.Page.Master.FindControl("ContentPlaceHolder1").FindControl("RadMultiPage1") as RadMultiPage);
        RadTabStrip rtsUser = (this.Page.Master.FindControl("ContentPlaceHolder1").FindControl("RadTabStrip1") as RadTabStrip);

        AjaxMan.AjaxSettings.AddAjaxSetting(rgAttendeeList, rmpUser);
        AjaxMan.AjaxSettings.AddAjaxSetting(rgAttendeeList, rtsUser);
        AjaxMan.AjaxSettings.AddAjaxSetting(rgAttendeeList, rgAttendeeList);

    }

    protected void rgAttendeeList_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        ArrayList list = new ArrayList();
        list.Add("string1");
        list.Add("string2");
        list.Add("string3");
        rgAttendeeList.DataSource = list;
    }

    protected void rgAttendeeList_ItemCommand(object source, GridCommandEventArgs e)
    {
        RadTabStrip rtsUser = (this.Page.Master.FindControl("ContentPlaceHolder1").FindControl("RadTabStrip1") as RadTabStrip);
        RadMultiPage rmpUser = (this.Page.Master.FindControl("ContentPlaceHolder1").FindControl("RadMultiPage1") as RadMultiPage);
        //  Label lblInfo = (this.Page.Master.FindControl("ContentPlaceHolder1").FindControl("lblInfo") as Label);


        e.Canceled = true;

        //DestroyOldPageViews();
        GoToNextPageView(rtsUser.Tabs[1]);
    }


    private void GoToNextPageView(RadTab radTab)
    {

        RadMultiPage multiPage = (this.Page.Master.FindControl("ContentPlaceHolder1").FindControl("RadMultiPage1") as RadMultiPage);
        RadPageView PersonalInfoPageView = multiPage.FindPageViewByID("PersonalInfo");
        radTab.Selected = true;
        radTab.Enabled = true;

        if (PersonalInfoPageView == null)
        {
            PersonalInfoPageView = new RadPageView();
            PersonalInfoPageView.ID = "PersonalInfo";
            multiPage.PageViews.Add(PersonalInfoPageView);
            radTab.PageViewID = PersonalInfoPageView.ID;
        }

        PersonalInfoPageView.Selected = true;
        radTab.PageView.Selected = true;


    }

}
